import {
  myFinishedFlowTaskList
} from '../../../api/flowable'
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    initData: {},
    listData: [],
    pageNum: 1,
    pageSize: 50,
    total: 0,
  },

  infoTap(e) {
    let {
      deployId,
      procInsId,
      taskId,
      taskName,
      category,
      startDeptName,
      startUserName,
      procDefName,
      businessKey,
      businessKeyName,
      businessDeptId,
      businessKeyParName,
      startUserId,
      finishTime
    } = e.currentTarget.dataset.set
    if (!finishTime) {
      finishTime = "";
    }
    wx.redirectTo({
      url: `../detailTask/index?deployId=${deployId}&procInsId=${procInsId}&nickName=${startUserName}&deptName=${startDeptName}&procDefName=${procDefName}&taskId=${taskId}&taskName=${taskName}&category=${category}&projectName=${businessKeyName}&businessKey=${businessKey}&businessKeyParName=${businessKeyParName}&businessDeptId=${businessDeptId}&startUserId=${startUserId}&finishTime=${finishTime}&ret=finished`,
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.getListData();
  },

  /**
   * 查询项目举牌验收数据
   */
  getListData() {
    let params = "pageNum=" + this.data.pageNum + "&pageSize=" + this.data.pageSize;
    myFinishedFlowTaskList(params).then(res => {
      if (res.code == 200) {
        let _list = [];
            res.rows.forEach( it => {
              it.duration = app.getDurationDate(it.duration);
              _list.push(it);
            });
        this.setData({
          total: res.total,
          listData: this.data.listData.concat(_list)
        });
      }
    });
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  returnToPage: function () {
    /*关闭当前页面，跳转到应用内的某个页面。但是不允许跳转到 tabbar 页面*/
    wx.redirectTo({
      url: '../../index/index',
    })
  },

  onScrollToLower() {
    let nal = Math.ceil(this.data.total / this.data.pageSize);
    if (this.data.pageNum < nal) {
      this.setData({
        pageNum: this.data.pageNum + 1
      });
      this.getListData();
    }
  },

  //项目切换 返回值
  onProjectSelect(e) {
    let projectId = e.detail.id;
    let projectName = e.detail.text;
    app.globalData.projectId = projectId;
    app.globalData.projectName = projectName;
    this.onLoad();
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})